Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.browser
Interface VisibilityWindowListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

All Known Implementing Classes:
  VisibilityWindowAdapter

public interface VisibilityWindowListener
extends org.eclipse.swt.internal.SWTEventListener

This listener interface may be implemented in order to receive a `WindowEvent` notification when a window hosting a `Browser` needs to be displayed or hidden.

Since:
  3.0
See Also:
  `Browser.addVisibilityWindowListener(VisibilityWindowListener)`, `Browser.removeVisibilityWindowListener(VisibilityWindowListener)`, `OpenWindowListener`, `CloseWindowListener`

Method Summary
`void` | `hide(WindowEvent event)` This method is called when the window hosting a `Browser` is requested to be hidden.
`void` | `show(WindowEvent event)` This method is called when the window hosting a `Browser` is requested to be displayed.

Method Detail

### hide

    public void hide(WindowEvent event)

  This method is called when the window hosting a `Browser` is requested to be hidden. Application would typically hide the `Shell` that hosts the `Browser`.

  The following fields in the `WindowEvent` apply:

  - (in) widget the `Browser` that needs to be hidden

  Parameters:
    `event` - the `WindowEvent` that specifies the `Browser` that needs to be hidden
  Since:
    3.0
  See Also:
    `Shell.setVisible(boolean)`

### show

    public void show(WindowEvent event)

  This method is called when the window hosting a `Browser` is requested to be displayed. Application would typically set the location and the size of the `Shell` that hosts the `Browser`, if a particular location and size are specified. The application would then open that `Shell`.

  The following fields in the `WindowEvent` apply:

  - (in) widget the `Browser` to display
  - (in) location the requested location for the `Shell` hosting the browser. It is `null` if no location is set.
  - (in) size the requested size for the `Browser`. The client area of the `Shell` hosting the `Browser` should be large enough to accomodate that size. It is `null` if no size is set.

  Parameters:
    `event` - the `WindowEvent` that specifies the `Browser` that needs to be displayed
  Since:
    3.0
  See Also:
    `Control.setLocation(org.eclipse.swt.graphics.Point)`, `Control.setSize(org.eclipse.swt.graphics.Point)`, `Shell.open()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.